// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef TESTTRACE_CLASSES_PACKAGE_A1_PACKAGE_D1_D1_LISTENING_H
#define TESTTRACE_CLASSES_PACKAGE_A1_PACKAGE_D1_D1_LISTENING_H

/************************************************************
 D1_Listening class header
 ************************************************************/

#include "TestTrace/Classes/Package_A1/Package_D1/Pkg_Package_D1.h"

#include "TestTrace/Interfaces/I_MyInterface_1.h"
#include "TestTrace/Interfaces/I_MyInterface_2.h"
#include "TestTrace/Types/Pkg_Types.h"

namespace TestTrace {
namespace Types {
struct MyComplexType_1;
}
}
namespace TestTrace {
namespace Types {
struct MyComplexType_2;
}
}

// derived using directives
using namespace TestTrace::Interfaces;
using namespace TestTrace::Types;

namespace TestTrace {
namespace Classes {
namespace Package_A1 {
namespace Package_D1 {

/************************************************************/
/**
 * 
 */
class D1_Listening: public I_MyInterface_1, public I_MyInterface_2 {
public:

	/**
	 * 
	 * @param state 
	 */
	void MyOperation_1(BooleanType /*in*/state);

	/**
	 * 
	 * @param param1 
	 * @param param2 
	 * @param param3 
	 * @param param4 
	 * @param param5 
	 * @param param6 
	 */
	void MyOperation_2(MyComplexType_1 /*in*/param1,
			MyComplexType_2 /*in*/param2, Integer /*in*/param3,
			Double /*in*/param4, Text /*in*/param5, MyEnumeration /*in*/param6);

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Package_D1
} // of namespace Package_A1
} // of namespace Classes
} // of namespace TestTrace

/************************************************************
 End of D1_Listening class header
 ************************************************************/

#endif
